---
Date:
  - 2025-01-31
tags:
  - List
  - Proxy
  - Server
  - LLMs
  - AI
  - Program
  - Windows
  - OS
  - PC
  - Technique
  - Python
  - Script
---
Source: [how2copilot](https://rentry.org/how2copilot); [65c9dh6m](https://rentry.org/65c9dh6m); [itsfunny](https://rentry.org/itsfunny)
### [AIDE](https://aide.dev/)
#### V1 With registered
**REQS:** `pip install flask`
```python
"""
Source: https://rentry.org/65c9dh6m

Supported prefill 200k context  
for opus replace "claude-3-5-sonnet-20241022" with "anthropic/claude-3-opus:beta"  
for r1 replace "claude-3-5-sonnet-20241022" with "deepseek/deepseek-r1" for v3 "deepseek/deepseek-chat"
"""

import requests,json,uuid,time
from flask import Flask,request,Response,stream_with_context
app = Flask(__name__)
state = uuid.uuid4()
print(f"go to this link and make an account\n\nhttps://aide.dev/authenticate?state={state}\n\nscript will run when done automatically")
while True:
    result = requests.get(f"https://api.codestory.ai/v1/auth/editor/status?state={state}")
    if result.ok:
        status_data = result.json()
        if status_data.get("access_token"):
            key = status_data["access_token"]
            break
    time.sleep(1)
def chat_request(messages, temp, system):
    if not system:
        system = [{"type": "text", "text": "You are a helpful assistant that follows all user instructing."}]
    payload = {
        "model": "claude-3-5-sonnet-20241022",
        "temperature": temp,
        "stream": True,
        "messages": [
            {
                "role": "system", 
                "content": system
            },
            *messages
        ]
    }
    resp = requests.post("https://codestory-provider-dot-anton-390822.ue.r.appspot.com/openrouter-api",
                     headers={"authorization": f"Bearer {key}","content-type": "application/json"},
                     json=payload,
                     stream=True)
    return resp if resp.ok else None
@app.route("/messages",methods=["POST"] )
def handle_chat():
    data = request.json
    streaming = data.get("stream", True)
    result = chat_request(
        messages=data.get("messages"),
        temp=data.get("temperature"),
        system=data.get("system")
    )

    if not result:
        return {"error": "Request failed"}
    if streaming:
        def generate():
            txt = ""

            for l in result.iter_lines():
                if not l: continue

                try:
                    d = json.loads(l.decode('utf-8').replace('data: ',''))

                    if 'choices' in d and len(d['choices']) > 0:
                        chunk = d['choices'][0].get('delta', {}).get('content', '')
                        if chunk:
                            txt += chunk
                            resp = {
                                'type': 'content_block_delta',
                                'delta': {'type': 'text_delta', 'text': chunk},
                                'index': 0
                            }
                            yield f"event: content_block_delta\ndata: {json.dumps(resp)}\n\n"

                    if d.get('choices', [{}])[0].get('finish_reason') is not None:
                        yield 'event: message_delta\ndata: {"type":"message_delta","delta":{"stop_reason":"end_turn","stop_sequence":null}}\n\n'
                        yield 'event: message_stop\ndata: {"type":"message_stop"}\n\n'
                        break

                except: continue
        return Response(stream_with_context(generate()), content_type='text/event-stream', headers={'Cache-Control':'no-cache', 'Connection':'keep-alive'})
    else:
        txt = ""
        for l in result.iter_lines():
            if not l: continue
            try:
                d = json.loads(l.decode('utf-8').replace('data: ',''))
                if 'choices' in d and len(d['choices']) > 0:
                    chunk = d['choices'][0].get('delta', {}).get('content', '')
                    if chunk: txt += chunk
                if d.get('choices', [{}])[0].get('finish_reason') is not None:
                    break
            except: continue
        return {"type": "message", "content": [{"type": "text", "text": txt}]}
app.run()
```
#### V2 With registered
**REQS:** `pip install flask`
```python
"""
Source: https://rentry.org/spitefix
"""
import requests, json, uuid, time
from flask import Flask, request, Response, stream_with_context

app = Flask(__name__)
state = uuid.uuid4()
print(f"Go to this link and make an account:\n\nhttps://aide.dev/authenticate?state={state}\n\nScript will run when done automatically.")

while True:
    result = requests.get(f"https://api.codestory.ai/v1/auth/editor/status?state={state}")
    if result.ok:
        status_data = result.json()
        if status_data.get("access_token"):
            key = status_data["access_token"]
            break
    time.sleep(1)

def chat_request(messages, temp, system):
    if not system:
        system = [{"type": "text", "text": "You are a helpful assistant that follows all user instructions."}]
    payload = {
        "model": "deepseek/deepseek-r1",
        "temperature": temp,
        "stream": True,
        "messages": [
            {"role": "system", "content": system},
            *messages
        ]
    }
    resp = requests.post("https://codestory-provider-dot-anton-390822.ue.r.appspot.com/openrouter-api",
                         headers={"authorization": f"Bearer {key}", "content-type": "application/json"},
                         json=payload, stream=True)
    return resp if resp.ok else None

@app.route("/messages", methods=["POST"])
@app.route("/chat/completions", methods=["POST"])  # Added route for OpenAI-style compatibility
def handle_chat():
    data = request.json
    streaming = data.get("stream", True)
    result = chat_request(
        messages=data.get("messages"),
        temp=data.get("temperature"),
        system=data.get("system")
    )

    if not result:
        return {"error": "Request failed"}

    if streaming:
        def generate():
            for l in result.iter_lines():
                if not l:
                    continue
                try:
                    d = json.loads(l.decode('utf-8').replace('data: ', ''))
                    if 'choices' in d and len(d['choices']) > 0:
                        chunk = d['choices'][0].get('delta', {}).get('content', '')
                        if chunk:
                            yield f"data: {json.dumps({'choices': [{'delta': {'content': chunk}}]})}\n\n"
                    if d.get('choices', [{}])[0].get('finish_reason') is not None:
                        yield f"data: {json.dumps({'choices': [{'finish_reason': 'stop'}]})}\n\n"
                        break
                except:
                    continue

        return Response(stream_with_context(generate()), content_type='text/event-stream', headers={'Cache-Control': 'no-cache', 'Connection': 'keep-alive'})
    else:
        txt = ""
        for l in result.iter_lines():
            if not l:
                continue
            try:
                d = json.loads(l.decode('utf-8').replace('data: ', ''))
                if 'choices' in d and len(d['choices']) > 0:
                    chunk = d['choices'][0].get('delta', {}).get('content', '')
                    if chunk:
                        txt += chunk
                if d.get('choices', [{}])[0].get('finish_reason') is not None:
                    break
            except:
                continue
        return {"type": "message", "content": [{"type": "text", "text": txt}]}

@app.route("/models", methods=["GET"])
def list_models():
    return {"object": "list", "data": [{"id": "deepseek/deepseek-r1", "object": "model"}]}

if __name__ == "__main__":
    app.run()
```

#### V3
**REQS:** `pip install flask`
```python
"""
Source: https://rentry.org/itsfunny
"""
import requests, json
from flask import Flask, request, Response, stream_with_context

app = Flask(__name__)
def chat_request(messages, temp, system):
    if not system:
        system = [{"type": "text", "text": "You are a helpful assistant that follows all user instructing."}]
    payload = {
        "model": "claude-3-5-sonnet-20241022",
        "temperature": temp,
        "stream": True,
        "messages": [
            {
                "role": "system",
                "content": system
            },
            *messages
        ]
    }
    resp = requests.post("https://codestory-provider-dot-anton-390822.ue.r.appspot.com/openrouter-api",
                     headers={"authorization": "Bearer ", "content-type": "application/json"},
                     json=payload,
                     stream=True)
    return resp if resp.ok else None

@app.route("/messages", methods=["POST"])
def handle_chat():
    data = request.json
    streaming = data.get("stream", True)
    result = chat_request(
        messages=data.get("messages"),
        temp=data.get("temperature"),
        system=data.get("system")
    )

    if not result:
        return {"error": "Request failed"}
    if streaming:
        def generate():
            txt = ""

            for l in result.iter_lines():
                if not l: continue

                try:
                    d = json.loads(l.decode('utf-8').replace('data: ',''))

                    if 'choices' in d and len(d['choices']) > 0:
                        chunk = d['choices'][0].get('delta', {}).get('content', '')
                        if chunk:
                            txt += chunk
                            resp = {
                                'type': 'content_block_delta',
                                'delta': {'type': 'text_delta', 'text': chunk},
                                'index': 0
                            }
                            yield f"event: content_block_delta\ndata: {json.dumps(resp)}\n\n"

                    if d.get('choices', [{}])[0].get('finish_reason') is not None:
                        yield 'event: message_delta\ndata: {"type":"message_delta","delta":{"stop_reason":"end_turn","stop_sequence":null}}\n\n'
                        yield 'event: message_stop\ndata: {"type":"message_stop"}\n\n'
                        break

                except: continue
        return Response(stream_with_context(generate()), content_type='text/event-stream', headers={'Cache-Control':'no-cache', 'Connection':'keep-alive'})
    else:
        txt = ""
        for l in result.iter_lines():
            if not l: continue
            try:
                d = json.loads(l.decode('utf-8').replace('data: ',''))
                if 'choices' in d and len(d['choices']) > 0:
                    chunk = d['choices'][0].get('delta', {}).get('content', '')
                    if chunk: txt += chunk
                if d.get('choices', [{}])[0].get('finish_reason') is not None:
                    break
            except: continue
        return {"type": "message", "content": [{"type": "text", "text": txt}]}

app.run(host='127.0.0.1', port=5000)
```

#### V4 With registrated
**REQS:** `pip install flask`
```python
"""
Source: https://rentry.org/65c9dh6m
"""
import requests,json,uuid,time
from flask import Flask,request,Response,stream_with_context
app = Flask(__name__)
state = uuid.uuid4()
print(f"go to this link and make an account\n\nhttps://aide.dev/authenticate?state={state}\n\nscript will run when done automatically")
while True:
    result = requests.get(f"https://api.codestory.ai/v1/auth/editor/status?state={state}")
    if result.ok:
        status_data = result.json()
        if status_data.get("access_token"):
            key = status_data["access_token"]
            break
    time.sleep(1)
def chat_request(messages, temp, system):
    if not system:
        system = [{"type": "text", "text": "You are a helpful assistant that follows all user instructing."}]
    payload = {
        "model": "claude-3-5-sonnet-20241022",
        "temperature": temp,
        "stream": True,
        "messages": [
            {
                "role": "system", 
                "content": system
            },
            *messages
        ]
    }
    resp = requests.post("https://codestory-provider-dot-anton-390822.ue.r.appspot.com/openrouter-api",
                     headers={"Authorization": f"Bearer {key}","content-type": "application/json","user-agent":"vscode/283.33.32.1"},
                     json=payload,
                     stream=True)
    if resp.ok:
        return resp
    else:
        print(resp.text)
        return None
@app.route("/messages",methods=["POST"] )
def handle_chat():
    data = request.json
    streaming = data.get("stream", True)
    result = chat_request(
        messages=data.get("messages"),
        temp=data.get("temperature"),
        system=data.get("system")
    )
    if not result:
        return {"error": "Request failed"}
    if streaming:
        def generate():
            txt = ""
            for l in result.iter_lines():
                if not l: continue
                try:
                    d = json.loads(l.decode('utf-8').replace('data: ',''))
                    print(d)
                    if 'choices' in d and len(d['choices']) > 0:
                        chunk = d['choices'][0].get('delta', {}).get('content', '')
                        if chunk:
                            txt += chunk
                            resp = {
                                'type': 'content_block_delta',
                                'delta': {'type': 'text_delta', 'text': chunk},
                                'index': 0
                            }
                            yield f"event: content_block_delta\ndata: {json.dumps(resp)}\n\n"
                    if d.get('choices', [{}])[0].get('finish_reason') is not None:
                        yield 'event: message_delta\ndata: {"type":"message_delta","delta":{"stop_reason":"end_turn","stop_sequence":null}}\n\n'
                        yield 'event: message_stop\ndata: {"type":"message_stop"}\n\n'
                        break
                except: continue
        return Response(stream_with_context(generate()), content_type='text/event-stream', headers={'Cache-Control':'no-cache', 'Connection':'keep-alive'})
    else:
        txt = ""
        for l in result.iter_lines():
            if not l: continue
            try:
                d = json.loads(l.decode('utf-8').replace('data: ',''))
                if 'choices' in d and len(d['choices']) > 0:
                    chunk = d['choices'][0].get('delta', {}).get('content', '')
                    if chunk: txt += chunk
                if d.get('choices', [{}])[0].get('finish_reason') is not None:
                    break
            except: continue
        return {"type": "message", "content": [{"type": "text", "text": txt}]}
app.run()
```
#### V5
**REQS:** `pip install random-user-agent flask requests`
```Python
"""
Source: https://rentry.org/claide
"""
import requests, json, uuid, time
from flask import Flask, request, Response, stream_with_context
from random_user_agent.user_agent import UserAgent
from random_user_agent.params import SoftwareName, OperatingSystem

app = Flask(__name__)
state = uuid.uuid4()

software_names = [SoftwareName.CHROME.value]
operating_systems = [OperatingSystem.WINDOWS.value, OperatingSystem.LINUX.value]
user_agent_rotator = UserAgent(software_names=software_names, operating_systems=operating_systems)
user_agent = f"{user_agent_rotator.get_random_user_agent()} VSCode/1.96.4"

try:
    with open("access_token.txt", "r") as f:
        key = f.read().strip()
except FileNotFoundError:
    key = None

if not key:
    print(f"Go to this link and make an account:\n\nhttps://aide.dev/authenticate?state={state}\n\nScript will run when done automatically.")
    while True:
        result = requests.get(
            f"https://api.codestory.ai/v1/auth/editor/status?state={state}",
            headers={"User-Agent": user_agent}
        )
        if result.ok:
            status_data = result.json()
            if status_data.get("access_token"):
                key = status_data["access_token"]
                with open("access_token.txt", "w") as f:
                    f.write(key)
                break
        time.sleep(1)

def chat_request(messages, temp, system):
    if not system:
        system = [{"type": "text", "text": "You are a helpful assistant that follows all user instructions."}]
    payload = {
        "model": "deepseek/deepseek-r1",
        "temperature": temp,
        "stream": True,
        "messages": [
            {"role": "system", "content": system},
            *messages
        ]
    }
    resp = requests.post(
        "https://codestory-provider-dot-anton-390822.ue.r.appspot.com/openrouter-api",
        headers={
            "authorization": f"Bearer {key}",
            "content-type": "application/json",
            "User-Agent": user_agent
        },
        json=payload, stream=True
    )
    return resp if resp.ok else None

@app.route("/messages", methods=["POST"])
@app.route("/chat/completions", methods=["POST"])
def handle_chat():
    data = request.json
    streaming = data.get("stream", True)
    result = chat_request(
        messages=data.get("messages"),
        temp=data.get("temperature"),
        system=data.get("system")
    )

    if not result:
        return {"error": "Request failed"}

    if streaming:
        def generate():
            for l in result.iter_lines():
                if not l:
                    continue
                try:
                    d = json.loads(l.decode('utf-8').replace('data: ', ''))
                    if 'choices' in d and len(d['choices']) > 0:
                        chunk = d['choices'][0].get('delta', {}).get('content', '')
                        if chunk:
                            yield f"data: {json.dumps({'choices': [{'delta': {'content': chunk}}]})}\n\n"
                    if d.get('choices', [{}])[0].get('finish_reason') is not None:
                        yield f"data: {json.dumps({'choices': [{'finish_reason': 'stop'}]})}\n\n"
                        break
                except:
                    continue

        return Response(stream_with_context(generate()), content_type='text/event-stream', headers={'Cache-Control': 'no-cache', 'Connection': 'keep-alive'})
    else:
        txt = ""
        for l in result.iter_lines():
            if not l:
                continue
            try:
                d = json.loads(l.decode('utf-8').replace('data: ', ''))
                if 'choices' in d and len(d['choices']) > 0:
                    chunk = d['choices'][0].get('delta', {}).get('content', '')
                    if chunk:
                        txt += chunk
                if d.get('choices', [{}])[0].get('finish_reason') is not None:
                    break
            except:
                continue
        return {"type": "message", "content": [{"type": "text", "text": txt}]}

@app.route("/models", methods=["GET"])
def list_models():
    return {"object": "list", "data": [{"id": "deepseek/deepseek-r1", "object": "model"}]}

if __name__ == "__main__":
    app.run()
```
#### V6
```javascript
/*
Source: rentry.org/sturdyleak

bun.sh
*/
import fs from "fs";

interface ChatCompletionsPayload {
 messages: Array<any>;
 model: string;
 temperature?: number;
 top_p?: number;
 max_tokens?: number;
 stop?: Array<string>;
 n?: number;
 stream?: boolean;
}

// uh huh.
const port = 5000;
const state = crypto.randomUUID();
const REFRESH_TOKEN_FILE = "./refresh_token.txt";

const CACHE_TTL = 3600000; // 1 hour in ms
let modelsCache: { data: any; timestamp: number } | null = null;

const AIDE_URL =
 "https://codestory-provider-dot-anton-390822.ue.r.appspot.com/openrouter-api";

const AIDE_HEADERS = {
 "content-type": "application/json",
 "User-Agent": "node",
};

const user_agent =
 "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Aide/1.96.4 Chrome/128.0.6613.186 Electron/32.2.7 Safari/537.36";

const AUTH_HEADERS = {
 "sec-ch-ua": '"Not;A=Brand";v="24", "Chromium";v="128"',
 "Content-Type": "application/json",
 "sec-ch-ua-mobile": "?0",
 "User-Agent": user_agent,
 "sec-ch-ua-platform": '"Windows"',
 Accept: "*/*",
 Origin: "vscode-file://vscode-app",
 "Sec-Fetch-Site": "cross-site",
 "Sec-Fetch-Mode": "cors",
 "Sec-Fetch-Dest": "empty",
 "Accept-Encoding": "gzip, deflate, br, zstd",
 "Accept-Language": "en-US",
};

// begin
let AIDE_TOKEN: string;

async function getTokensFromRefresh() {
 try {
  const refreshToken = await fs.promises
   .readFile(REFRESH_TOKEN_FILE, "utf-8")
   .catch(() => null);
  if (!refreshToken) {
   return { refreshToken: null, accessToken: null };
  }

  const payload = { refresh_token: refreshToken.trim() };
  console.info(
   `Trying cached refresh token... \x1b[32m${payload.refresh_token}\x1b[0m`
  );

  const polling = await fetch("https://api.codestory.ai/v1/auth/refresh", {
   method: "POST",
   headers: AUTH_HEADERS,
   body: JSON.stringify({ ...payload }),
  });

  const result = await polling.json();

  const newRefreshToken = result.refresh_token;
  if (newRefreshToken) {
   console.info(`New refresh token... \x1b[32m${newRefreshToken}\x1b[0m`);
   await fs.promises.writeFile(REFRESH_TOKEN_FILE, newRefreshToken);
  }

  return {
   refreshToken: newRefreshToken || refreshToken,
   accessToken: result.access_token,
  };
 } catch (error) {
  console.error("Failed to refresh tokens:", error);
  return { refreshToken: null, accessToken: null };
 }
}

async function getAccessToken() {
 let { refreshToken, accessToken } = await getTokensFromRefresh();

 if (!accessToken) {
  console.info(
   `Need new login -> https://aide.dev/authenticate?state=${state}`
  );

  while (true) {
   const polling = await fetch(
    `https://api.codestory.ai/v1/auth/editor/status?state=${state}`,
    {
     method: "GET",
     headers: AUTH_HEADERS,
    }
   );

   const pollResponse = await polling.json();

   if (pollResponse.access_token) {
    console.info(`Got access token.`);
    await fs.promises.writeFile(REFRESH_TOKEN_FILE, pollResponse.refresh_token);
    return pollResponse;
   } else {
    await new Promise((resolve) =>
     setTimeout(resolve, (pollResponse.interval + 1) * 1000)
    );
   }
  }
 } else {
  return accessToken;
 }
}

async function completionRoute(req) {
 try {
  return await completion(req);
 } catch (error) {
  console.error(error);
 }
}

async function modelRoute(req) {
 try {
  if (modelsCache && Date.now() - modelsCache.timestamp < CACHE_TTL) {
   return Response.json(modelsCache.data);
  }

  const models = await fetch("https://openrouter.ai/api/v1/models", {
   method: "GET",
   headers: {
    "Content-Type": "application/json",
    "User-Agent": "node",
   },
  });

  const data = await models.json();

  // Update cache
  modelsCache = {
   data,
   timestamp: Date.now(),
  };

  return Response.json(data);
 } catch (error) {
  console.error(`Request failed`, error);
 }
}

async function completion(req: Request) {
 const payload = (await req.json()) as ChatCompletionsPayload;

 const loggablePayload = structuredClone(payload);
 loggablePayload.messages = loggablePayload.messages.map((message) => ({
  ...message,
  content:
   message.content.length > 100
    ? message.content.slice(0, 100 - 3) + "..."
    : message.content,
 }));

 const payloadBytes = new TextEncoder().encode(JSON.stringify(payload)).length;
 console.log(`Request (${payloadBytes} bytes):`, loggablePayload);

 //  Stream = pass through
 if (payload.stream) {
  return await fetchCompletion(payload);
 }

 //  No stream.
 const response = await fetchCompletion({ ...payload, stream: false });
 return Response.json(response);
}

const fetchCompletion = (payload: ChatCompletionsPayload) => {
 return fetch(AIDE_URL, {
  method: "POST",
  headers: {
   ...AIDE_HEADERS,
   authorization: `Bearer ${AIDE_TOKEN}`,
  },
  body: JSON.stringify(payload),
 });
};

// im still surprised they havent patched this yet.
// - made with bun by bun circa 2025-02-13
AIDE_TOKEN = await getAccessToken();

const router = (req: Request) => {
 const routes = {
  "/chat/completions": completionRoute,
  "/v1/chat/completions": completionRoute,
  "/models": modelRoute,
  "/v1/models": modelRoute,
  "/": () => {
   return new Response("Server is active.");
  },
 };
 const assigned = Object.keys(routes).filter((r) => req.url.endsWith(r));

 if (!assigned.length) {
  return () => new Response("Not Found", { status: 404 });
 }

 return routes[assigned[0]](req);
};

const server = Bun.serve({
 port: port,
 fetch: router,
 development: true,
 idleTimeout: 255,
 websocket: {
  open: () => undefined,
  message: () => undefined,
  close: () => undefined,
 },
});

console.log(`Listening on \x1b[36m${server.url}\x1b[0m`);
```
### [KODU](https://www.kodu.ai/)
#### V1
**REQS:** `pip install flask`
```python
"""
Source: https://rentry.org/65c9dh6m

Go to kodu.ai and make a free account for $10 credits.
When u made ur acc go ty "https://www.kodu.ai/auth/callback?redirectTo=vscode%3A%2F%2Fkodu-ai.claude-dev-experimental" and copy the api key.
WHen running it will ask you for your api key just put that in it should look like this: "eVJIo3Sx2dOG6Ry6q7B-ZxXGtmw31xG-DSqJ1M2-XA".
"""
import requests,json
from flask import Flask,request,Response,stream_with_context
app = Flask(__name__)
key = input("1. https://www.kodu.ai/auth/callback?redirectTo=vscode%3A%2F%2Fkodu-ai.claude-dev-experimental \n\n2.put key:")
def chat_request(model, messages, max_tokens, temp, stop_sequences, system):
    if not system:
        system = [{"type": "text", "text": "You are a helpful assistant that follows all user instructing."}]
    payload = {
        "model": model,
        "max_tokens": max_tokens,
        "system": system,
        "messages": messages,
        "temperature": temp,
        "stop_sequences": stop_sequences
    }
    try:
        resp = requests.post('https://www.kodu.ai/api/inference-stream',
                           headers={'x-api-key':key, 'content-type': 'application/json'},
                           json=payload,
                           stream=True)
        return resp if resp.ok else None
    except:
        return None
@app.route("/messages",methods=["POST"] )
def handle_chat():
    data = request.json
    streaming = data.get("stream", True)
    result = chat_request(
        model=data.get("model"),
        messages=data.get("messages"),
        max_tokens=data.get("max_tokens"),
        temp=data.get("temperature"),
        stop_sequences=data.get("stop_sequences"),
        system=data.get("system")
    )

    if not result:
        return {"error": "Request failed"}
    if streaming:
        def generate():
            txt=""

            for l in result.iter_lines():
                if not l:  continue

                try:
                    d=json.loads(l.decode('utf-8').replace('data: ',''))

                    if d.get("code")==2 and"body"in d:
                        chunk=d["body"].get("text","")
                        if chunk:
                            txt+=chunk
                            resp={
                                'type':'content_block_delta',
                                'delta':{'type':'text_delta','text':chunk},
                                'index':0
                            }
                            yield f"event: content_block_delta\ndata: {json.dumps(resp)}\n\n"

                    elif d.get("code")==1:
                        yield 'event: message_delta\ndata: {"type":"message_delta","delta":{"stop_reason":"end_turn","stop_sequence":null}}\n\n'
                        yield 'event: message_stop\ndata: {"type":"message_stop"}\n\n'
                        break

                except:continue
        return Response(stream_with_context(generate()),content_type='text/event-stream',headers={'Cache-Control':'no-cache','Connection':'keep-alive'})
    else:
        txt=""
        for l in result.iter_lines():
            if not l:continue
            try:
                d=json.loads(l.decode('utf-8').replace('data: ',''))
                if d.get("code")==2 and"body"in d:
                    chunk=d["body"].get("text","")
                    if chunk:txt+=chunk
                elif d.get("code")==1:break
            except:continue
        return {"type":"message","content":[{"type":"text","text":txt}]}
app.run()
```
### [BLACKBOX](https://www.blackbox.ai/)
#### V1
**REQS:** `pip install flask`
```python
"""
Source: https://rentry.org/65c9dh6m

Supported prefill unlimited 3.5 sonnet only no streaming  
To use R1 change "claude-sonnet-3.5" to "deepseek-reasoner"  
To use v3 change "claude-sonnet-3.5" to "deepseek-v3"
"""
import requests, time
from flask import Flask, request
app = Flask(__name__)
def chat_request(messages,max_tokens=1024,temp=1,top_p=1):
    payload = {
        "messages":messages,
        "agentMode":{},
        "id":hex(int(time.time() * 1000))[2:9],
        "previewToken":None,
        "userId":None,
        "codeModelMode":True,
        "maxTokens":max_tokens,
        "playgroundTopP":top_p,
        "playgroundTemperature":temp,
        "userSelectedModel":"claude-sonnet-3.5",
        "validated":"00f37b34-a166-4efb-bce5-1312d87f2f94",
        "clickedAnswer2":False,
        "clickedAnswer3":False,
        "clickedForceWebSearch":False,
        "codeInterpreterMode":False,
        "deepSearchMode":False,
        "domains":None,
        "githubToken":"",
        "imageGenerationMode":False,
        "isChromeExt":False,
        "isMemoryEnabled":False,
        "isMicMode":False,
        "mobileClient":False,
        "trendingAgentMode":{},
        "userSystemPrompt":None,
        "visitFromDelta":False,
        "vscodeClient":False,
        "webSearchModePrompt":False
    }
    try:
        resp = requests.post('https://www.blackbox.ai/api/chat',headers={'origin':'https://www.blackbox.ai'},json=payload)
        return resp if resp.ok else None
    except:
        return None
@app.route("/messages",methods=["POST"] )
def handle_chat():
    data = request.json
    messages = []
    if data.get("system"):
        messages.append({"role":"system","content":data["system"][0]["text"]})
    for msg in data.get("messages",[]):
        for content in msg["content"]:
            messages.append({"role":msg.get("role"),"content":content.get("text")})
    result = chat_request(messages,max_tokens=data.get("max_tokens"),temp=data.get("temperature"),top_p=data.get("top_p"))
    return {"type": "message", "content": [{"type":"text","text":result.text}]} if result else {"error":"Request failed"}
app.run()
```
